Bug 2088251

Summary: CVE-2022-29221 php-Smarty: php injection via malicious block name or include file name [epel-7]
Product: [Fedora] Fedora EPEL Reporter: Sandipan Roy <saroy>
Component: php-SmartyAssignee: Shawn Iwinski <shawn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: epel7CC: christof, shawn
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: php-Smarty-3.1.47-1.el7 php-Smarty-3.1.47-1.fc36 php-Smarty-3.1.47-1.fc37 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-10-23 08:27:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 2088249    

Description Sandipan Roy 2022-05-19 05:08:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Sandipan Roy 2022-05-19 05:08:59 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2088249,2088251

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-10-15 03:15:33 UTC
FEDORA-EPEL-2022-576e858e93 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-576e858e93

Comment 3 Fedora Update System 2022-10-15 03:15:50 UTC
FEDORA-2022-52154efd61 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-52154efd61

Comment 4 Fedora Update System 2022-10-15 03:16:06 UTC
FEDORA-2022-d5fc9dcdd7 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d5fc9dcdd7

Comment 5 Fedora Update System 2022-10-15 17:44:09 UTC
FEDORA-2022-d5fc9dcdd7 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d5fc9dcdd7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d5fc9dcdd7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-10-15 21:40:40 UTC
FEDORA-EPEL-2022-576e858e93 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-576e858e93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-15 22:21:26 UTC
FEDORA-2022-52154efd61 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-52154efd61`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-52154efd61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-23 08:27:47 UTC
FEDORA-EPEL-2022-576e858e93 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-10-23 09:03:35 UTC
FEDORA-2022-52154efd61 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-11-10 22:18:17 UTC
FEDORA-2022-d5fc9dcdd7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.